## Misc Call APIs

Misc Call APIs — Misc generated APISs for Call

## Functions

void | tp_call_content_media_description_init_known_interfaces ()
void | tp_call_stream_endpoint_init_known_interfaces ()

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

This contains generated APIs to be used by TpCallChannel, TpCallStream, TpCallContent or telepathy-farstream. Should not be needed for normal clients.

## Functions

### tp_call_content_media_description_init_known_interfaces ()

    void
    tp_call_content_media_description_init_known_interfaces
                                   (void);

Ensure that the known interfaces for TpProxy have been set up. This is done automatically when necessary, but for correct overriding of library interfaces by local extensions, you should call this function before calling `tp_proxy_or_subclass_hook_on_interface_add()` with first argument `TP_TYPE_PROXY`.

Since: 0.17.5

### tp_call_stream_endpoint_init_known_interfaces ()

    void
    tp_call_stream_endpoint_init_known_interfaces
                                   (void);

Ensure that the known interfaces for TpProxy have been set up. This is done automatically when necessary, but for correct overriding of library interfaces by local extensions, you should call this function before calling `tp_proxy_or_subclass_hook_on_interface_add()` with first argument `TP_TYPE_PROXY`.

Since: 0.17.5

## Types and Values